Bug 463384 - [LTC 6.0 FEAT] 201250:Java5 SR10 for RHEL6
[LTC 6.0 FEAT] 201250:Java5 SR10 for RHEL6
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: releng (Show other bugs)
6.0
All All
high Severity high
: beta
: 6.0
Assigned To: jiri vanek
Release Test Team
: FutureFeature
Depends On: 590829
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-22 23:50 EDT by IBM Bug Proxy
Modified: 2010-11-11 09:55 EST (History)
13 users (show)

See Also:
Fixed In Version: java-1.5.0-ibm-1.5.0.11.1-1jpp.2.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 09:55:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-22 23:50:54 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:31 EDT
1. Feature Overview:
Feature Id:	[201250]
a. Name of Feature:	Java5 SR8 for RHEL6
b. Feature Description
Ship Java5 SR8 with RHEL6

2. Feature Details:
Sponsor:	SWG - Java
Architectures:
x86
x86_64
ppc64

Arch Specificity: Purely Common Code
Delivery Mechanism: Request Red Hat development assistance
Category:	SWG
Request Type:	Package - Version Update
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	Java5 SR9

3. Business Case
Inclusion of Java 5 SR9 in RHEL6 is an eServer Brands requirement.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):
David J Edwards, david_edwards@uk.ibm.com
Comment 1 IBM Bug Proxy 2009-03-03 13:08:10 EST
Please update title to say  [LTC 6.0 FEAT] 201250:Java5 SR9 for RHEL6
Comment 2 IBM Bug Proxy 2009-03-03 13:11:05 EST
Updating title to reflect that SR9 is currently available on developerworks.
Comment 3 John Jarvis 2009-11-13 10:39:28 EST
I believe this should be reassigned to releng to pull the packages in that we already make available asynch.
Comment 4 IBM Bug Proxy 2009-11-16 09:05:07 EST
------- Comment From iranna.ankad@in.ibm.com 2009-11-16 04:42 EDT-------
(In reply to comment #4)
> Updating title to reflect that SR9 is currently available on developerworks.

Hi Stephanie,
The JTC (JIM) website shows SR10 as latest java available now. Please let us know  which SR level Red Hat will be picking up, so that we start testing same Java on current RHEL6 build.

Thanks!

------- Comment From sglass@us.ibm.com 2009-11-16 07:45 EDT-------
At this point in time, please test and put in SR10 as that is what is available.
Comment 5 John Jarvis 2009-12-18 11:01:11 EST
updating title to requested updated SR level
Comment 7 John Jarvis 2009-12-18 14:47:43 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux major release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux major release.   
While it is a goal to include this enhancement in the next major release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next major release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 10 Dennis Gregorovic 2010-05-10 16:23:48 EDT
The -plugin package won't work without glib gtk+ and gdk-pixbuf, which are not in RHEL 6.  See bug 590829
Comment 14 Dennis Gregorovic 2010-06-18 16:59:28 EDT
The -plugin package has been dropped.  Moving to MODIFIED.
Comment 15 Alexander Todorov 2010-07-09 05:17:29 EDT
# pwd
/mnt/redhat/rel-eng/RHEL6.0-Supplementary-20100708.1/6

# find -name "java-1.5.0-ibm-1.5.0*"
./Server/ppc64/os/Packages/java-1.5.0-ibm-1.5.0.11.1-1jpp.2.el6.ppc64.rpm
./Server/i386/os/Packages/java-1.5.0-ibm-1.5.0.11.1-1jpp.2.el6.i686.rpm
./Server/x86_64/os/Packages/java-1.5.0-ibm-1.5.0.11.1-1jpp.2.el6.x86_64.rpm
./Server/s390x/os/Packages/java-1.5.0-ibm-1.5.0.11.1-1jpp.2.el6.s390x.rpm
./WebServer/x86_64/os/Packages/java-1.5.0-ibm-1.5.0.11.1-1jpp.2.el6.x86_64.rpm
./ComputeNode/x86_64/os/Packages/java-1.5.0-ibm-1.5.0.11.1-1jpp.2.el6.x86_64.rpm
./Client/i386/os/Packages/java-1.5.0-ibm-1.5.0.11.1-1jpp.2.el6.i686.rpm
./Client/x86_64/os/Packages/java-1.5.0-ibm-1.5.0.11.1-1jpp.2.el6.x86_64.rpm
./Workstation/i386/os/Packages/java-1.5.0-ibm-1.5.0.11.1-1jpp.2.el6.i686.rpm
./Workstation/x86_64/os/Packages/java-1.5.0-ibm-1.5.0.11.1-1jpp.2.el6.x86_64.rpm

Matches "Fixed in version" field. Moving to VERIFIED.
Comment 17 releng-rhel@redhat.com 2010-11-11 09:55:05 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.